%define section   free

Name:           abbot
Version:        0.13.1
Release:        1jpp
Epoch:          0
Summary:        Abbot Java GUI Test Framework

Group:          Development/Libraries/Java
License:        CPL
URL:            http://abbot.sourceforge.net/
Source0:        abbot-0.13.1.tgz
Patch0:         abbot-mrj.patch
#Patch1:         abbot-IOException.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps >= 0:1.6
BuildRequires:  junit
BuildRequires:  bsh2
BuildRequires:  gnu.regexp
BuildRequires:  jdom
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

%description
The Abbot framework is a Java library for GUI unit testing 
and functional testing. It provides methods to reproduce 
user actions and examine the state of GUI components. The 
framework may be invoked directly from Java code, but also 
supports non-programming record/playback testing with scripts. 
Most tests can also be run in a headless mode.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
mv src test
jar xf src.jar
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
# save to drop OSX-support
cp src/abbot/editor/ScriptEditor.java src/abbot/editor/ScriptEditor.java.sav
cp src/abbot/editor/ScriptEditorFrame.java src/abbot/editor/ScriptEditorFrame.java.sav
# save for specific patches
cp src/abbot/script/ComponentReference.java src/abbot/script/ComponentReference.java.sav
cp src/abbot/script/Step.java src/abbot/script/Step.java.sav

cat > abbot.sh << EOT
#!/bin/sh
export CLASSPATH=\$(build-classpath abbot)
java -jar \$CLASSPATH \$@
EOT


%patch0
#%patch1

%build
export OPT_JAR_LIST="ant/ant-nodeps"
export CLASSPATH=$(build-classpath \
bsh2/bsh-core \
gnu.regexp \
jdom \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=$CLASSPATH:build/classes
ant -Dbuild.sysclasspath=only

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -Dpm 755 %{name}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf doc/api
#
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp README.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp logo32.gif $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp doc/CPL.html $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr i18n $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp abbot.bat $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp abbot.jnlp $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}-%{version}
%{_javadir}/*.jar
%attr(755,root,root) %{_bindir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Wed Nov 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.13.1-1jpp
- Upgrade to 0.13.1

* Tue Sep 07 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.13.0-1jpp
- Upgrade to 0.13.0

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.12.3-3jpp
- Build with ant-1.6.2

* Wed Aug 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.12.3-2jpp
- Upgrade to ant-1.6.1

* Fri Jul 09 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.12.3-1jpp
- First JPackage release

